Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Debug jacoco

Test Jacoco plugin only for versions that work with JDKs we support

Remove tests for versions that only run against JDKs earlier than version 8 because they are never executed.

Only the current latest version `0.8.5` works with JDK14 - add a constraint for this.

  1. … 6 more files in changeset.
Remove Jacoco versions that are no longer tested from the multi version tests

  1. … 5 more files in changeset.
Remove Jacoco versions that are no longer tested from the multi version tests

  1. … 4 more files in changeset.
Remove Jacoco versions that are no longer tested from the multi version tests

  1. … 6 more files in changeset.
Remove Jacoco versions that are no longer tested from the multi version tests

  1. … 5 more files in changeset.
Only test JDK14 supported Jacoco versions with JDK14

  1. … 2 more files in changeset.
Reorder versions so the default version is first

Update test coverage matrix for Jacoco

  1. … 2 more files in changeset.
Extract :jacoco test fixtures

Signed-off-by: Paul Merlin <paul@gradle.com>

  1. … 7 more files in changeset.